"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class ApiModule {
    constructor(vrc) {
        this.vrc = vrc;
    }
    get userId() {
        return this.vrc.userId;
    }
    async getReq(url, params = {}) {
        const result = await this.vrc.api.get(url, {
            params: params,
        });
        return result.data;
    }
    async deleteReq(url) {
        const result = await this.vrc.api.delete(url);
        return result.data;
    }
    async request(method, url, body = null) {
        const result = await this.vrc.api[method](url, body);
        return result.data;
    }
    async postReq(url, body = null) {
        return await this.request('post', url, body);
    }
    async putReq(url, body = null) {
        return await this.request('put', url, body);
    }
}
exports.default = ApiModule;
