"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const api_module_1 = require("./api-module");
class Moderation extends api_module_1.default {
    /**
     * @deprecated
     */
    async send(userId) {
        return await this.postReq(`user/${userId}/moderations`);
    }
    async block(userId) {
        // const result = await this.postReq('auth/user/blocks', {blocked: userId})
        // return result.data
        return await this.sendPlayer(userId, 'block');
    }
    async unblock(userId) {
        return await this.putReq('auth/user/unblocks', { blocked: userId });
        // return await this.sendPlayer(userId, 'unblock')
    }
    async sendPlayer(userId, type) {
        return await this.postReq('auth/user/playermoderations', { type: type, moderated: userId });
    }
    async mute(userId) {
        return await this.sendPlayer(userId, 'mute');
    }
    async unmute(userId) {
        return await this.sendPlayer(userId, 'unmute');
    }
    async delete(userId, moderationId) {
        return await this.deleteReq(`user/${userId}/moderations/${moderationId}`);
    }
    async clear(userId) {
        return await this.deleteReq(`user/${userId}/moderations`);
    }
    async getAgainstSelf() {
        return await this.getReq(`auth/user/playermoderated`);
    }
    async getSentlist() {
        return await this.getReq(`auth/user/playermoderations`);
    }
}
exports.default = Moderation;
